=== debian/changelog ===
nageru (1.4.2-2) unstable; urgency=high

  * friendlier-opengl-error.diff: New patch from upstream git, adds a
    friendlier error message if OpenGL initialization fails.
    (Closes: #859217)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 01 Apr 2017 20:31:56 +0200

nageru (1.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Nov 2016 18:15:46 +0100

nageru (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    * Add libpci-dev as build-dependency.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 06 Nov 2016 23:27:58 +0100

nageru (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    * Add libprotobuf-dev and protobuf-compiler as build-dependencies.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 25 Oct 2016 09:43:10 +0200

nageru (1.3.4-2) unstable; urgency=medium

  * Add missing epoch to libavformat-dev build-dependency; makes FTBFS on
    some platforms/distributions turn into B-D-Uninstallable, presumably
    prompting a rebuild once updated libavformat-dev hits that architecture.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 12 Aug 2016 21:12:32 +0200

nageru (1.3.4-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS. (Closes: #833304)
    - Obsoletes fix-compilation-for-systems-without-sse.diff.
    - Adds support for big-endian systems; changed Architecture list to
      linux-any.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 02 Aug 2016 22:48:00 +0200

nageru (1.3.3-2) unstable; urgency=medium

  * fix-compilation-for-systems-without-sse.diff: New patch from upstream,
    fixes compilation issues of filter.cpp for systems without SSE
    (ie., all systems except amd64). (Closes: #832773)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 28 Jul 2016 17:05:00 +0200

nageru (1.3.3-1) unstable; urgency=medium

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Jul 2016 20:44:29 +0200
