=== debian/control ===
Source: nageru
Section: video
Priority: optional
Maintainer: Steinar H. Gunderson <sesse@debian.org>
Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.3.1), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, liblua5.2-dev, libbmusb-dev, protobuf-compiler, libprotobuf-dev, libpci-dev
Standards-Version: 3.9.8
Homepage: https://nageru.sesse.net/

Package: nageru
# Uses Linux-only features (such as VA-API).
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modern free software video mixer
 Nageru (a pun on the Japanese verb nageru, meaning to throw or cast) is a live
 video mixer. It takes in inputs from one or more video cards (any DeckLink PCI
 card via Blackmagic's drivers, and Intensity Shuttle USB3 and UltraStudio SDI
 USB3 cards via bmusb), mixes them together based on the operator's desire and a
 theme written in Lua, and outputs a high-quality H.264 stream over TCP suitable
 for further transcoding and/or distribution.
 .
 Nageru aims to produce high-quality output, both in terms of audio and video,  
 while still running on modest hardware.
