=== debian/changelog ===
nageru (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    * Fixes SIGFPE with newer i965-va-driver. (Closes: #866512)
    * Bump dependency on libmovit-dev, as per upstream.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 16 Jul 2017 03:36:49 +0200

nageru (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.
    * Adds support for newer bmusb. (Closes: #865435)
  * Add missing build dependency on libqcustomplot-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 19 Jun 2017 00:15:35 +0200

nageru (1.6.0-1) experimental; urgency=medium

  * New upstream release.
    * Update versioned Build-Depends on libmovit-dev and libbmusb-dev.
    * Unfuzz patches.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 30 May 2017 20:01:05 +0200

nageru (1.5.0-1) experimental; urgency=medium

  * New upstream release.
    * Obsoletes friendlier-opengl-error.diff (incorporated in upstream).
    * Add versioned Build-Depends on libmovit-dev and libbmusb-dev
      (both are available from experimental).

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 05 Apr 2017 23:30:01 +0200
