=== debian/changelog ===
nageru (1.6.4-2build2) bionic; urgency=medium

  * No.change rebuild for movit soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 10:36:08 +0100

nageru (1.6.4-2build1) bionic; urgency=medium

  * No.change rebuild for x264 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 11:17:30 +0100

nageru (1.6.4-2) unstable; urgency=medium

  * Drop s390x from the architecture list. (Closes: #888778)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 Jan 2018 23:38:02 +0100

nageru (1.6.4-1) unstable; urgency=medium

  * New upstream release.
    * Updates for FFmpeg 3.5. (Closes: #888379)
    * Build-Depend on LuaJIT instead of Lua.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jan 2018 18:25:35 +0100

nageru (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Add a workaround for platforms that require -latomic for std::atomic.
    Patch by Adrian Bunk. (Closes: #880997)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 08 Nov 2017 18:51:01 +0100
