=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, liblua5.2-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libpci-dev, libqcustomplot-dev
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libpci-dev, libqcustomplot-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/
 
 Package: nageru
 # Uses Linux-only features (such as VA-API).
-Architecture: linux-any
+# Also needs LuaJIT (not to mention OpenGL and USB), which isn't available on s390x.
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: modern free software video mixer
  Nageru (a pun on the Japanese verb nageru, meaning to throw or cast) is a live
