## nageru 1.7.0

=== debian/changelog ===
nageru (1.7.0-2) unstable; urgency=medium

  * Fix an issue with the /usr prefix patch, causing the theme to be attempted
    loaded from /usr/local.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Mar 2018 20:13:05 +0100

nageru (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 08 Mar 2018 19:36:42 +0100
