## nageru 1.7.3

=== debian/changelog ===
nageru (1.7.3-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:47:32 +0000

nageru (1.7.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 22 May 2018 21:03:01 +0200

nageru (1.7.2-1) unstable; urgency=medium

  * New upstream release.
    * Remove Build-depends on libpci-dev, as it is no longer required.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 28 Apr 2018 17:05:21 +0200
