=== debian/changelog ===
nageru (1.7.4-1) unstable; urgency=medium

  * New upstream release.
    * Support x264 >= 153. (Closes: #907659)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 31 Aug 2018 22:15:59 +0200
