## nageru 1.7.5

=== debian/changelog ===
nageru (1.7.5-1) unstable; urgency=medium

  * New upstream release.
    * Build-Depend on meson, as upstream has changed build systems.
      The dependency is versioned so that stretch has a new enough backport.
    * Update prefix-usr.diff to reflect that we no longer have a Makefile
      that needs patching.
    * no-libjpeg-needed.diff: Remove the spurious libjpeg dependency.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 11 Nov 2018 13:59:56 +0100
