## nageru 1.8.0

=== debian/changelog ===
nageru (1.8.0-1) unstable; urgency=medium

  * New upstream release.
    * Nageru now includes Futatabi, so add a new binary package.
    * Add Build-Dependency on libjpeg-dev and libsqlite3-dev (the latter is
      needed by Futatabi only).
    * Remove no-libjpeg-needed.diff, since the libjpeg dependency is no longer
      spurious.
    * do-not-build-futatabi-test-binaries.diff: New patch, disables building
      of some test binaries we do not install (which gets rid of SDL
      dependencies).

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 20 Dec 2018 00:03:04 +0100
