## nageru 1.8.1

=== debian/changelog ===
nageru (1.8.1-1) unstable; urgency=medium

  * New upstream release.
    * Remove do-not-build-futatabi-test-binaries.diff, since the build system
      now automatically skips the test binaries if SDL is not available
      (and they are never installed anyway).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 30 Dec 2018 20:11:40 +0100
