## nageru 1.8.2

=== debian/changelog ===
nageru (1.8.2-1) unstable; urgency=medium

  * New upstream release.
    * Update debian/copyright with new contributors.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 19 Jan 2019 22:58:59 +0100
