## nageru 1.8.4

=== debian/changelog ===
nageru (1.8.4-1) unstable; urgency=high

  * New upstream release.
    * Fixes FTBFS on 32-bit platforms.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 11 Mar 2019 23:41:01 +0100

nageru (1.8.3-1) unstable; urgency=high

  * New upstream release.
    * urgency=high due to the high amount of important upstream bug fixes.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Mar 2019 20:24:25 +0100
