=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47)
+Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.0), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev
 Standards-Version: 3.9.8
 Homepage: https://nageru.sesse.net/
 
@@ -21,3 +21,14 @@
  .
  Nageru aims to produce high-quality output, both in terms of audio and video,  
  while still running on modest hardware.
+
+Package: futatabi
+# Generally same reasoning as nageru.
+Architecture: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: multicamera slow motion video server
+ Futatabi is a video server and multitrack recorder, made to work in tandem
+ with Nageru. It can record multiple video tracks in sync and play back
+ selected clips from them in slow motion. Futatabi uses GPU-based interpolation
+ to provide smooth motion without the use of a high-speed camera (the quality
+ will depend on the type of content and on the speed of the GPU in use).
