## nageru 1.9.0

=== debian/changelog ===
nageru (1.9.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 23 Jul 2019 09:56:05 +0200

nageru (1.9.0-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental since bmusb hasn't cleared
    the NEW queue yet.)
    * Fixes cross-compilation; patch from Helmut Grohne. (Closes: #930877)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 20 Jul 2019 17:02:35 +0200

nageru (1.8.6-2) experimental; urgency=medium

  * Bump Build-Dependency on libbmusb-dev to 0.7.4. (Closes: #928427)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 05 May 2019 23:48:06 +0200

nageru (1.8.6-1) experimental; urgency=medium

  * New upstream release. (Goes to experimental to avoid disturbing the
    buster release.)
    * Removes the need for prefix-usr.diff.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 19 Apr 2019 09:23:33 +0200
