## nageru 1.9.1

=== debian/changelog ===
nageru (1.9.1-1.1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:22 +0100

nageru (1.9.1-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Source-only upload to allow testing migration. 
  * debian/control: Add missing build-dependency libdrm-dev.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:39:34 -0500

nageru (1.9.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes missing thread dependency. (Closes: #944931)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 17 Nov 2019 20:12:03 +0100
