## nageru 2.0.1

=== debian/changelog ===
nageru (2.0.1-3) unstable; urgency=medium

  * Reenable the SRT support, as the srt package was fixed again. 
  * fix-ffmpeg-height-calculation.diff: New patch from upstream git,
    fixes resolution calculation in kaeru due to a typo.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 04 Apr 2021 21:26:11 +0200

nageru (2.0.1-2) unstable; urgency=medium

  * Build without SRT support (remove the build-dependency on
    libsrt-gnutls-dev), as the srt package in Debian is unmaintained and
    RC-buggy. (Closes: #979582)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 10 Jan 2021 13:39:12 +0100

nageru (2.0.1-1) unstable; urgency=medium

  * New upstream release. 
    * Work around API breakage in libmicrohttpd. (Closes: #964563)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 09 Jul 2020 09:58:15 +0200

nageru (2.0.0-3) unstable; urgency=medium

  * Build-Depend on the newly added libsrt-gnutls-dev, to get SRT support.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Jun 2020 16:45:05 +0200

nageru (2.0.0-2) unstable; urgency=medium

  * Build without lld on i386; fixes FTBFS.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 03 Jun 2020 00:33:42 +0200

nageru (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    * Build-Conflict against libsrt-dev, to avoid linking in OpenSSL indirectly.
  * Upgrade to debhelper compatibility version 13. Update Build-Depends
    accordingly. No changes needed.
  * Build-Depend on lld, so that the end result isn't different depending on
    whether the autobuilder had the package installed or not.
  * Upgrade to Standards-Version 4.5.0.
    * Install NEWS (and README, which was missing) as docs. Remove the file 
      debian/nageru-docs.docs; there was never a package nageru-docs.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 02 Jun 2020 20:21:04 +0200

nageru (1.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 12 Apr 2020 11:27:26 +0200

nageru (1.9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 29 Mar 2020 15:14:31 +0200
