=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: video
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev
-Standards-Version: 3.9.8
+# lld is strictly optional, but depending on it means the build is more reproducible;
+# the result doesn't depend on whether the package was installed or not.
+# However, there's a bug on i386 where it doesn't link properly.
+Build-Depends: debhelper (>= 13), qtbase5-dev, libqt5opengl5-dev, pkg-config, libusb-1.0-0-dev, libmovit-dev (>= 1.5.2), libmicrohttpd-dev, libx264-dev, libavcodec-dev, libavformat-dev (>= 7:3.1), libswscale-dev, libva-dev, libavresample-dev, libegl1-mesa-dev, libasound2-dev, libzita-resampler-dev, libluajit-5.1-dev, libbmusb-dev (>= 0.7.4), protobuf-compiler, libprotobuf-dev, libqcustomplot-dev, meson (>= 0.47), libjpeg-dev, libsqlite3-dev, libdrm-dev, lld [!i386], libsrt-gnutls-dev
+Build-Conflicts: lld [i386]
+Standards-Version: 4.5.0
 Homepage: https://nageru.sesse.net/
 
 Package: nageru
