## nageru 2.0.2

=== debian/changelog ===
nageru (2.0.2-1ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 13 Sep 2021 08:32:56 +0200

nageru (2.0.2-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes fix-ffmpeg-height-calculation.diff.
  * Remove unused build-dependency libavresample-dev. (Closes: #971328)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 03 Sep 2021 18:45:12 +0200

nageru (2.0.1-3ubuntu1) impish; urgency=medium

  * Drop build dependency on lld. Using the default linker is just fine,
    and lld fast mode currently creates only 64bit hashes in fast mode.
    See https://bugs.llvm.org/show_bug.cgi?id=44138.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 May 2021 17:03:44 +0200
