## nageru 2.1.0

=== debian/changelog ===
nageru (2.1.0-2ubuntu4) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:00:11 +0000

nageru (2.1.0-2ubuntu3) kinetic; urgency=medium

  * No-change rebuild against libsrt1.5-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 07 Jul 2022 16:57:36 +0000

nageru (2.1.0-2ubuntu2) kinetic; urgency=medium

  * Rebuild against latest x264

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 22 Jun 2022 08:08:00 -0400

nageru (2.1.0-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 09:03:09 +0200

nageru (2.1.0-2) unstable; urgency=medium

  * Remove ppc64el from architecture list, as it no longer has working LuaJIT
    (upstream does not support regular Lua). (Closes: #1011302)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 21 May 2022 12:05:00 +0200

nageru (2.1.0-1ubuntu2) jammy; urgency=medium

  * Rebuild against new libx264-163.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Mar 2022 15:26:59 +0100

nageru (2.1.0-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 07 Feb 2022 09:36:33 +0100

nageru (2.1.0-1) unstable; urgency=medium

  * New upstream release.
    * Fixes compilation with FFmpeg 5.0. (Closes: #1004617)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 06 Feb 2022 16:11:40 +0100
