## nageru 2.2.0

=== debian/changelog ===
nageru (2.2.0-2ubuntu2) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Use lld to link again but export correct shaid with -Wl,--build-id=sha1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2023 17:55:58 +0100

nageru (2.2.0-2) unstable; urgency=medium

  * Remove ppc64el from futatabi's architecture list.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 23 Nov 2022 09:26:33 +0100

nageru (2.2.0-1ubuntu2) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:40:34 +0100

nageru (2.2.0-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - don't use lld to link, this causes a build failure.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 19 Nov 2022 13:50:25 -0800

nageru (2.2.0-1) unstable; urgency=medium

  * New upstream release.
    * Removes dependency on QCustomPlot. (Closes: #1024105)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 15 Nov 2022 00:27:07 +0100
