## nageru 2.2.1

=== debian/changelog ===
nageru (2.2.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes several crash bugs related to video inputs. (Closes: #1034471)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 17 Apr 2023 18:37:27 +0200
